Draft Déplacer

From FreeCAD Documentation
Revision as of 16:51, 9 August 2014 by Mario52 (talk | contribs)
Jump to navigation Jump to search

Draft Move.svg Déplacer

Emplacement du menu
Draft → Move
Ateliers
Draft
Raccourci par défaut
M V
Introduit dans la version
-
Voir aussi
Aucun


Description

Cet outil déplace un (ou des) objet(s) sélectionné(s) d'un point à un autre, dans le plan de travail courant. Si aucun objet n'est sélectionné, il vous invitera à en sélectionner un.

Draft Move example.jpg

Utilisation

  1. Sélectionnez les objets que vous souhaitez déplacer ou copier
  2. Cliquez sur le bouton Draft Move.png Draft Move/fr, ou pressez M et la touche V
  3. Cliquez le premier point dans la vue 3D, ou donnez une coordonnée
  4. Cliquez un deuxième point dans la vue 3D, ou donnez une coordonnée

Options

  • Pressez les touches X, Y ou Z après le premier point, pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, et appuyez sur ENTER entre chacune des composantes X, Y et Z.
  • Pressez la touche R ou cliquez sur la case à cocher/décocher Relative. Si le mode Relative est coché, les coordonnées du point suivant sont relatifs au dernier point. S'ils ne sont pas absolus, le point d'origine est (0,0,0).
  • Pressez la touche T ou cliquez sur la case à cocher/décocher Continue. Si le mode Continue est coché, l'outil Move va redémarrer après avoir terminé ou fermé, ce qui vous permet de déplacer ou copier les objets une nouvelle fois sans appuyer sur le bouton Draft Move.png Draft Move/fr à nouveau.
  • Pressez la touche ALT ou C ou cliquez sur la touche Copy fera une copie des objets au lieu de les déplacer. Si vous gardez la touche ALT enfoncée après avoir cliqué sur le second point, vous serez capable de placer autant de copies que vous voulez, jusqu'au moment ou vous relâchiez la touche ALT.
  • Pressez la touche CTRL pour que votre point d'emplacement se fasse sur un point d'encrage (snap) disponible, indépendamment de la distance.
  • Pressez la touche SHIFT pour créer une contrainte verticale ou horizontale en rapport avec le point de départ.
  • Pressez la touche ESC ou la touche Cancel pour annuler la commande courante.

Script

La commande Draft Move.png Move peut être utilisée dans une macro et dans la console Python, en utilisant la fonction suivante :

 move (FreeCAD.Object or list, Vector, [copymode])
  • Déplace l'objet donné ou les objets contenus dans la liste et dans la direction et distance indiquée par le vecteur donné.
  • Si copymode est True, les objets eux-mêmes ne sont pas déplacés, mais des copies sont créées à la place.
  • Retourne les objets (ou leurs copies) si copymode est réglé sur True

Exemple:

 import FreeCAD,Draft
 Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))

Limitations

  • When moving (or changing Placement of) a document object (eg: Pad, Revolution, etc) which is based on a Sketch (from Sketcher/Part Design), you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский